Skip to main content
POST
/
crm-object-schemas
/
v3
/
schemas
/
batch
/
read
Retrieve multiple custom object schemas in a batch request.
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeAssociationDefinitions": true,
  "includeAuditMetadata": true,
  "includePropertyDefinitions": true,
  "inputs": [
    "<string>"
  ]
}
'
{
  "results": [
    {
      "associations": [
        {
          "fromObjectTypeId": "2-123456",
          "id": "123",
          "name": "my_object_to_contact",
          "toObjectTypeId": "0-1"
        }
      ],
      "createdAt": "2020-02-20T18:07:11.390Z",
      "fullyQualifiedName": "p7878787_my_object\"",
      "id": "123456",
      "labels": {
        "plural": "My objects",
        "singular": "My object"
      },
      "metaType": "PORTAL_SPECIFIC",
      "name": "my_object",
      "primaryDisplayProperty": "my_object_property",
      "properties": [
        {
          "archived": false,
          "calculated": false,
          "createdAt": "2020-02-20T18:07:11.802Z",
          "displayOrder": -1,
          "externalOptions": false,
          "fieldType": "text",
          "groupName": "my_object_information",
          "hasUniqueValue": false,
          "label": "My object property",
          "name": "my_object_property",
          "type": "string",
          "updatedAt": "2020-02-20T18:07:11.802Z"
        }
      ],
      "requiredProperties": [
        "my_object_property"
      ],
      "searchableProperties": [
        "my_object_property"
      ],
      "updatedAt": "2020-02-20T18:09:07.555Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
includeAssociationDefinitions
boolean
required

Indicates whether to include association definitions in the response.

includeAuditMetadata
boolean
required

Indicates whether to include audit metadata in the response.

includePropertyDefinitions
boolean
required

Indicates whether to include property definitions in the response.

inputs
string[]
required

Response

successful operation

results
object[]
required
Last modified on March 30, 2026